QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

DEFINES += QT_DEPRECATED_WARNINGS

SOURCES += \
    $$PWD/../Core/hiperiso_crc32.c \
    $$PWD/../Core/hiperiso_disk.c \
    $$PWD/../Core/hiperiso_json.c \
    $$PWD/../Core/hiperiso_log.c \
    $$PWD/../Core/hiperiso_md5.c \
    $$PWD/../Core/hiperiso_util.c \
    $$PWD/../Lib/exfat/src/libexfat/cluster.c \
    $$PWD/../Lib/exfat/src/libexfat/io.c \
    $$PWD/../Lib/exfat/src/libexfat/lookup.c \
    $$PWD/../Lib/exfat/src/libexfat/mount.c \
    $$PWD/../Lib/exfat/src/libexfat/node.c \
    $$PWD/../Lib/exfat/src/libexfat/repair.c \
    $$PWD/../Lib/exfat/src/libexfat/time.c \
    $$PWD/../Lib/exfat/src/libexfat/utf.c \
    $$PWD/../Lib/exfat/src/libexfat/utils.c \
    $$PWD/../Lib/exfat/src/mkfs/cbm.c \
    $$PWD/../Lib/exfat/src/mkfs/fat.c \
    $$PWD/../Lib/exfat/src/mkfs/mkexfat.c \
    $$PWD/../Lib/exfat/src/mkfs/mkexfat_main.c \
    $$PWD/../Lib/exfat/src/mkfs/rootdir.c \
    $$PWD/../Lib/exfat/src/mkfs/uct.c \
    $$PWD/../Lib/exfat/src/mkfs/uctc.c \
    $$PWD/../Lib/exfat/src/mkfs/vbr.c \
    $$PWD/../Lib/fat_io_lib/fat_access.c \
    $$PWD/../Lib/fat_io_lib/fat_cache.c \
    $$PWD/../Lib/fat_io_lib/fat_filelib.c \
    $$PWD/../Lib/fat_io_lib/fat_format.c \
    $$PWD/../Lib/fat_io_lib/fat_misc.c \
    $$PWD/../Lib/fat_io_lib/fat_string.c \
    $$PWD/../Lib/fat_io_lib/fat_table.c \
    $$PWD/../Lib/fat_io_lib/fat_write.c \
    $$PWD/../Lib/xz-embedded/linux/lib/decompress_unxz.c \
    $$PWD/refresh_icon_data.c \
    $$PWD/secure_icon_data.c \
    $$PWD/hiperiso_qt_stub.c \
    $$PWD/../Web/hiperiso_http.c \
    $$PWD/main.cpp \
    $$PWD/partcfgdialog.cpp \
    $$PWD/hiperiso2diskwindow.cpp

HEADERS += \
    $$PWD/../Core/hiperiso_define.h \
    $$PWD/../Core/hiperiso_disk.h \
    $$PWD/../Core/hiperiso_json.h \
    $$PWD/../Core/hiperiso_util.h \
    $$PWD/../Include/Hiperiso2Disk.h \
    $$PWD/../Lib/exfat/src/libexfat/byteorder.h \
    $$PWD/../Lib/exfat/src/libexfat/compiler.h \
    $$PWD/../Lib/exfat/src/libexfat/config.h \
    $$PWD/../Lib/exfat/src/libexfat/exfat.h \
    $$PWD/../Lib/exfat/src/libexfat/exfatfs.h \
    $$PWD/../Lib/exfat/src/libexfat/platform.h \
    $$PWD/../Lib/exfat/src/mkfs/cbm.h \
    $$PWD/../Lib/exfat/src/mkfs/fat.h \
    $$PWD/../Lib/exfat/src/mkfs/mkexfat.h \
    $$PWD/../Lib/exfat/src/mkfs/rootdir.h \
    $$PWD/../Lib/exfat/src/mkfs/uct.h \
    $$PWD/../Lib/exfat/src/mkfs/uctc.h \
    $$PWD/../Lib/exfat/src/mkfs/vbr.h \
    $$PWD/../Lib/fat_io_lib/fat_access.h \
    $$PWD/../Lib/fat_io_lib/fat_cache.h \
    $$PWD/../Lib/fat_io_lib/fat_defs.h \
    $$PWD/../Lib/fat_io_lib/fat_filelib.h \
    $$PWD/../Lib/fat_io_lib/fat_format.h \
    $$PWD/../Lib/fat_io_lib/fat_list.h \
    $$PWD/../Lib/fat_io_lib/fat_misc.h \
    $$PWD/../Lib/fat_io_lib/fat_opts.h \
    $$PWD/../Lib/fat_io_lib/fat_string.h \
    $$PWD/../Lib/fat_io_lib/fat_table.h \
    $$PWD/../Lib/fat_io_lib/fat_types.h \
    $$PWD/../Lib/fat_io_lib/fat_write.h \
    $$PWD/../Lib/libhttp/include/civetweb.h \
    $$PWD/../Lib/libhttp/include/handle_form.inl \
    $$PWD/../Lib/libhttp/include/md5.inl \
    $$PWD/../Lib/libhttp/include/mod_duktape.inl \
    $$PWD/../Lib/libhttp/include/mod_lua.inl \
    $$PWD/../Lib/libhttp/include/timer.inl \
    $$PWD/hiperiso_qt.h \
    $$PWD/../Web/hiperiso_http.h \
    $$PWD/partcfgdialog.h \
    $$PWD/hiperiso2diskwindow.h

FORMS += \
    $$PWD/partcfgdialog.ui \
    $$PWD/hiperiso2diskwindow.ui

qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

INCLUDEPATH += $$PWD/../Core
INCLUDEPATH += $$PWD/../Web
INCLUDEPATH += $$PWD
INCLUDEPATH += $$PWD/../Include
INCLUDEPATH += $$PWD/../Lib/libhttp/include
INCLUDEPATH += $$PWD/../Lib/fat_io_lib/include
INCLUDEPATH += $$PWD/../Lib/xz-embedded/linux/include
INCLUDEPATH += $$PWD/../Lib/xz-embedded/linux/include/linux
INCLUDEPATH += $$PWD/../Lib/xz-embedded/userspace
INCLUDEPATH += $$PWD/../Lib/exfat/src/libexfat
INCLUDEPATH += $$PWD/../Lib/fat_io_lib

DEFINES += STATIC=static
DEFINES += INIT=
